Bug 510583 - Unhandled exception when running qpid-cluster against a standalone broker.
Unhandled exception when running qpid-cluster against a standalone broker.
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.1.1
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Nuno Santos
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 16:09 EDT by Ted Ross
Modified: 2015-11-15 20:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
On a standalone broker, 'qpid-cluster' throws the following exception: Traceback (most recent call last): File "/usr/bin/qpid-cluster", line 322, in ? if e.__repr__().find("connection aborted") > 0: AttributeError: SystemExit instance has no attribute '__repr__' With this update, the exception is handled properly and 'qpid-cluster' returns the expect output.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 11:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2009-07-09 16:09:20 EDT
Description of problem:

On a standalone broker, qpid-cluster throws an exception:

$ qpid-stat -b localhost:5673
Brokers
  broker          cluster       uptime   conn  sess  exch  queue
  ================================================================
  localhost:5673  <standalone>  54m 36s     1     1     7     2

$ qpid-cluster localhost:5673
Clustering is not installed on the broker.
Traceback (most recent call last):
  File "/usr/bin/qpid-cluster", line 322, in ?
    if e.__repr__().find("connection aborted") > 0:
AttributeError: SystemExit instance has no attribute '__repr__'

Version-Release number of selected component (if applicable):

    python-qpid-0.5.752581-3.el5

How reproducible:

    100%

Steps to Reproduce:
1. Start a standalone (not in a cluster) broker
2. Run the qpid-cluster command against the broker
3.
  
Actual results:

    Unhandled exception thrown.

Expected results:

    $ qpid-cluster localhost:5673
    Clustering is not installed on the broker.
    $


Additional info:
Comment 2 Nuno Santos 2009-11-12 18:07:25 EST
Can't reproduce with the current code base, seems to have been fixed at svn rev 788681.
Comment 3 Nuno Santos 2009-11-13 09:30:51 EST
Needs further testing, reopening.
Comment 4 Nuno Santos 2010-05-11 12:55:10 EDT
Re-tested on RHEL5 (python 2.4.3) and issue has been fixed in the meanwhile (exception-generating code is no longer present)
Comment 6 Frantisek Reznicek 2010-09-21 11:03:42 EDT
The issue has been fixed, retested on RHEL 4.8 / 5.5 i386 / x86_64 on packages:
python-qmf-0.7.946106-13.el5
python-qpid-0.7.946106-14.el5
qmf-*0.7.946106-15.el5
qpid-cpp-*-0.7.946106-15.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-*-0.7.946106-9.el5
qpid-tools-0.7.946106-10.el5

-> VERIFIED
Comment 7 Martin Prpič 2010-10-07 08:55:20 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
On a standalone broker, 'qpid-cluster' throws the following exception:

Traceback (most recent call last):
  File "/usr/bin/qpid-cluster", line 322, in ?
    if e.__repr__().find("connection aborted") > 0:
AttributeError: SystemExit instance has no attribute '__repr__'

With this update, the exception is handled properly and 'qpid-cluster' returns the expect output.
Comment 9 errata-xmlrpc 2010-10-14 11:58:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.